ConnectorSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.ConnectorSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class ConnectorSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.ConnectorSF

All Implemented Interfaces:
  IStoreFactory

public class ConnectorSF
extends StoreFactoryBase

Store Connector and Listeners

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`ConnectorSF()`

Method Summary
`protected void` | `printOpenTag(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)`
`protected void` | `printTag(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)`
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aConnector, StoreDescription parentDesc)` Store Connector description
`protected void` | `storeConnectorAttribtues(java.io.PrintWriter aWriter, int indent, java.lang.Object bean, StoreDescription aDesc)`

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorSF

    public ConnectorSF()

Method Detail

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aConnector,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store Connector description

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` -
    `indent` -
    `aConnector` -
    `parentDesc` -
  Throws:
    `java.lang.Exception`

### printOpenTag

    protected void printOpenTag(java.io.PrintWriter aWriter,
                                int indent,
                                java.lang.Object bean,
                                StoreDescription aDesc)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### storeConnectorAttribtues

    protected void storeConnectorAttribtues(java.io.PrintWriter aWriter,
                                            int indent,
                                            java.lang.Object bean,
                                            StoreDescription aDesc)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printTag

    protected void printTag(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object bean,
                            StoreDescription aDesc)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.